Bug 983200 - iptables-save man page completely wrong - which conflicting arguments should work?
iptables-save man page completely wrong - which conflicting arguments should ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On: 983198
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 13:03 EDT by Paul Wouters
Modified: 2015-06-29 21:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 983198
Environment:
Last Closed: 2015-06-29 21:18:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2013-07-10 13:03:54 EDT
+++ This bug was initially created as a clone of Bug #983198 +++

Description of problem:

I was trying to prevent iptables-save from loading kernel modules. I looked at "man iptables-save" which said:

SYNOPSIS
       iptables-save [-M modprobe] [-c] [-t table]

      -M modprobe_program
              Specify the path to the modprobe program. By default, iptables-save will
              inspect /proc/sys/kernel/modprobe to determine the executable’s path.

However:
# iptables-save -M /dev/null
iptables-save: invalid option -- 'M'
Unknown arguments found on commandline

while iptables-save --help or -h does not work, the binary does seem to show there must me a magic incantation for it, because strings on the binary shows:

Usage: %s [-b] [-c] [-v] [-t] [-h]
           [ --binary ]
           [ --counters ]
           [ --verbose ]
           [ --test ]
           [ --help ]
           [ --noflush ]
           [ --table=<TABLE> ]
          [ --modprobe=<command>]



Version-Release number of selected component (if applicable):
iptables-1.4.7-9.el6.x86_64

And indeed, --modprobe= seems to work as expected.

So there is a problem between the documented arguments and the actual arguments, possible induced by /sbin/iptables-save being an "/etc/alternative" link to /sbin/iptables-save-1.4.7

I'm not sure if the bug should be "fix the man page" or "fix the binary/link".

but if people were used to -M and now need --modprobe, perhaps iptables-save should allow for both now.

--- Additional comment from Paul Wouters on 2013-07-10 13:00:41 EDT ---

note that "iptables-save --help" or iptables-save -h" should also be fixed.

--- Additional comment from RHEL Product and Program Management on 2013-07-10 13:01:23 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 1 Fedora End Of Life 2013-09-16 10:28:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora End Of Life 2015-05-29 05:10:14 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 21:18:36 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.